Debian Bug report logs - #644969
uvccapture: Please Build-Depends on libjpeg-dev, not libjpeg62-dev

version graph

Package: src:uvccapture; Maintainer for src:uvccapture is Andrew Starr-Bochicchio <asb@debian.org>;

Reported by: Bill Allombert <ballombe@debian.org>

Date: Tue, 11 Oct 2011 10:45:22 UTC

Severity: serious

Tags: patch

Found in version uvccapture/0.5-1.1

Fixed in version uvccapture/0.5-1.2

Done: Didier Raboud <odyx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Burghardt <krzysztof@burghardt.pl>:
Bug#644969; Package src:uvccapture. (Tue, 11 Oct 2011 10:45:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to Krzysztof Burghardt <krzysztof@burghardt.pl>. (Tue, 11 Oct 2011 10:45:29 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: submit@bugs.debian.org
Subject: uvccapture: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Tue, 11 Oct 2011 11:47:38 +0200
Source: uvccapture
Version: 0.5-1.1
Severity: important

Hello Krzysztof,

We are transitionning from libjpeg62 to libjpeg8.
As mentionned on debian-devel-announce[1], please update uvccapture to
Build-Depends on libjpeg-dev instead of libjpeg62-dev.

The following Build-Depends was found:

uvccapture 	:Build-Depends: libjpeg62-dev | libjpeg-dev libjpeg62-dev | libjpeg-dev

Please change it to 
Build-Depends: libjpeg-dev
so it is rebuilt against libjpeg8.

[1] http://lists.debian.org/debian-devel-announce/2010/02/msg00006.html

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Burghardt <krzysztof@burghardt.pl>:
Bug#644969; Package src:uvccapture. (Thu, 10 Nov 2011 14:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Krzysztof Burghardt <krzysztof@burghardt.pl>. (Thu, 10 Nov 2011 14:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 644969@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 644969@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#644969: uvccapture: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Thu, 10 Nov 2011 15:01:03 +0100
[Message part 1 (text/plain, inline)]
severity 644969 serious
thanks

Le mardi, 11 octobre 2011 11.47:38, Bill Allombert a écrit :
> We are transitionning from libjpeg62 to libjpeg8.
> As mentionned on debian-devel-announce[1], please update uvccapture to
> Build-Depends on libjpeg-dev instead of libjpeg62-dev.

As was done for other libjpeg-related bureports, I'm rising the severity of 
this bug to serious.

For what is worth, I recompiled uvccapture with the above recommended change 
and it built just fine.

Cheers,
-- 
OdyX
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'important' Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Thu, 10 Nov 2011 14:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Burghardt <krzysztof@burghardt.pl>:
Bug#644969; Package src:uvccapture. (Mon, 21 Nov 2011 12:39:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Krzysztof Burghardt <krzysztof@burghardt.pl>. (Mon, 21 Nov 2011 12:39:17 GMT) Full text and rfc822 format available.

Message #17 received at 644969@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 644969@bugs.debian.org
Subject: uvccapture: diff for NMU version 0.5-1.2
Date: Mon, 21 Nov 2011 13:37:51 +0100
[Message part 1 (text/plain, inline)]
tags 644969 + patch
thanks

Dear maintainer,

I've prepared an NMU for uvccapture (versioned as 0.5-1.2). The diff
is attached to this message.

Regards.
[uvccapture-0.5-1.2-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Mon, 21 Nov 2011 12:39:49 GMT) Full text and rfc822 format available.

Reply sent to Didier Raboud <odyx@debian.org>:
You have taken responsibility. (Mon, 21 Nov 2011 12:51:28 GMT) Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. (Mon, 21 Nov 2011 12:51:30 GMT) Full text and rfc822 format available.

Message #24 received at 644969-close@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 644969-close@bugs.debian.org
Subject: Bug#644969: fixed in uvccapture 0.5-1.2
Date: Mon, 21 Nov 2011 12:49:44 +0000
Source: uvccapture
Source-Version: 0.5-1.2

We believe that the bug you reported is fixed in the latest version of
uvccapture, which is due to be installed in the Debian FTP archive:

uvccapture_0.5-1.2.diff.gz
  to main/u/uvccapture/uvccapture_0.5-1.2.diff.gz
uvccapture_0.5-1.2.dsc
  to main/u/uvccapture/uvccapture_0.5-1.2.dsc
uvccapture_0.5-1.2_amd64.deb
  to main/u/uvccapture/uvccapture_0.5-1.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 644969@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <odyx@debian.org> (supplier of updated uvccapture package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 21 Nov 2011 10:02:58 +0100
Source: uvccapture
Binary: uvccapture
Architecture: source amd64
Version: 0.5-1.2
Distribution: unstable
Urgency: low
Maintainer: Krzysztof Burghardt <krzysztof@burghardt.pl>
Changed-By: Didier Raboud <odyx@debian.org>
Description: 
 uvccapture - USB UVC Video Class snapshot software
Closes: 644969
Changes: 
 uvccapture (0.5-1.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Build-Depends on libjpeg-dev, not libjpeg62-dev. Closes: #644969.
Checksums-Sha1: 
 129ba4f934d7a11d3f81c1b2da12e7fbfac0b177 1538 uvccapture_0.5-1.2.dsc
 9378470d73a86e4540b54d543c1e395ba493bc46 3048 uvccapture_0.5-1.2.diff.gz
 03cbf2d2cf7a8f3f6181de72357801a8245d71c1 14578 uvccapture_0.5-1.2_amd64.deb
Checksums-Sha256: 
 24f0ea6c01a52102ed4a70eb276a05de9b947ca7081d63a740a7932a58b0e3b6 1538 uvccapture_0.5-1.2.dsc
 60e4fc9ce87cee8f7462972276fc1e210114a9f7c370433b5470e233dd236ff3 3048 uvccapture_0.5-1.2.diff.gz
 6d7bbf6d81e709ff401dc2a5c998d148e43b8f0989716b3bddfd674a7a763a55 14578 uvccapture_0.5-1.2_amd64.deb
Files: 
 de6407313f71db8044bad86e1cef31b6 1538 graphics optional uvccapture_0.5-1.2.dsc
 a9890cfdf730ae96a85ef4f87de16392 3048 graphics optional uvccapture_0.5-1.2.diff.gz
 d4fdca76770ee3fed25d96446a4c944e 14578 graphics optional uvccapture_0.5-1.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQGcBAEBCAAGBQJOykX9AAoJEIvPpx7KFjRVSn4MAJXJf5RUKDOOq3xG0DMA3PBK
s52tp/FlI3ac3Y8ihyfmpFSawvxCAcDh33PvW7pCAPiqI5wrmKxWKTzvffeL9wOL
bn2pvrDZZPw0wSzw1Z+fKfOZdFpWrtIxaq78VtdbsnzLOlFFSS1U0z8DPakycp11
Th1HREsCFFDVUy9s3lal8R0gWw0hPaRbcB1rH1qTdYOBzXWAAZMaOdhoPYEAS4qT
OHCMNwCvGQkUsJx0yOAQC+xevDJs+i+6DY6Vt5ypyd7comgVZXFNi866hH3m3c+5
JVl0lHFuicdCCoXjvPC2K9Al6oev+r8B4jcyZgrIocJ6tCPaywsPJZbT3rsPNGGr
SgnDlRCcP6UDzem0rjjyUcW0Pg3XaZaJqmi+Cg82L67ncfNASRAhaf/c1rmC95yo
nOBcXytZKqLn7SKbssNMH+bTNo6aG28CsWuN8ggAa02+rPd042F66Gy0jV+CEXXI
op817EHzp0yYV31lhXPbIzVgc+60klrMmg2mF6MEYQ==
=5WhL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Dec 2011 07:46:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:30:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.